Merge libsdl1.2 1.2.15-5 (main) from Debian unstable (main)

Bug #1030782 reported by Felix Geyer on 2012-07-30
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libsdl1.2 (Ubuntu)
Undecided
Unassigned

Bug Description

Please merge libsdl1.2 1.2.15-5 (main) from Debian unstable (main)

Changelog entries since the version in quantal:

libsdl1.2 (1.2.15-5) unstable; urgency=low

  * Restrict libts (touch screen) input method to linux-any architectures, not
    available elsewhere

 -- Manuel A. Fernandez Montecelo <email address hidden> Thu, 21 Jun 2012 14:20:55 +0100

libsdl1.2 (1.2.15-4) unstable; urgency=low

  [ Manuel A. Fernandez Montecelo ]
  * debian/sdl-config1
    - Fix typo, progam->program
  * Enable support for touch screen library (Closes: #674799)

  [ Felix Geyer ]
  * Re-add dependencies to libsdl1.2-dev that are required for static linking.
    (Closes: #670122)
  * Bump Standards-Version to 3.9.3, no further changes necessary.

  [ Sam Hocevar ]
  * debian/patches/fix_joystick_misc_axes.diff: fix a joystick remapping
    bug causing some axes to malfunction (Closes: #673324).

 -- Manuel A. Fernandez Montecelo <email address hidden> Mon, 11 Jun 2012 16:04:53 +0100

libsdl1.2 (1.2.15-3) unstable; urgency=low

  [ Felix Geyer ]
  * Drop all -dev package dependencies of libsdl1.2-dev except libx11-dev and
    libglu1-mesa-dev.
  * Add libglu-dev as an alternative to libglu1-mesa-dev.

  [ Manuel A. Fernandez Montecelo ]
  * Fix for bug "Window corner re-size events ignored by SDL" (Closes: #665779),
    thanks Andrew Caudwell <email address hidden> for the report and the
    suggested fix.

 -- Manuel A. Fernandez Montecelo <email address hidden> Tue, 10 Apr 2012 21:18:20 +0100

libsdl1.2 (1.2.15-2) unstable; urgency=low

  * Add fix_build_joystick_freebsd.diff by Robert Millan to fix build
    on kfreebsd. (Closes: #659615)
  * Bump shlibs version to 1.2.11.
  * Bump debhelper build-dependency to >= 9.

 -- Felix Geyer <email address hidden> Mon, 20 Feb 2012 12:20:47 +0100

libsdl1.2 (1.2.15-1) unstable; urgency=low

  * New upstream release
  * Seting DM-Upload-Allowed:yes and added myself to Uploaders
  * Removed patches:
    - sdlblit_memcpy_fix.diff: it was backported from upstream
    - joystick_crash.diff: it was backported from upstream (changeset 3590
      493f252a455c)
    - x11_add_support_NET_WM_PID.diff: applied upstream (changeset 6169
      6f3e5ccfd585)
    - disable_ipod.diff: it wasn't documented nor appeared anywhere in the
      changelog, and it only disabled its support in the configure script (and
      the option to add ipod support is off by default, at least in the current
      version)
    - disappearingcursor.diff: applied upstream (changeset 4557 4aa31b9207f2)
    - fixmouseclicks.diff: it was part of a fix applied upstream (same as for
      the patch disappearingcursor.diff)
    - no_yasm.diff: applied upstream, picked from Debian (changeset 4538
      74b5387da0c4)
    - nasm_include.diff: applied upstream, picked from Debian (changeset 4539
      d2517c0de52b)
    - kfreebsd_gnu.diff: applied upstream, picked from Debian (changeset 4537
      cd344ebc14e9)
    - relibtoolize.diff: substituted with dh_autoreconf
  * Disable patch check_SDL_NOKBD_environment_variable.diff at least
    temporarily, it was rejected explicitly by upstream and it doesn't apply
    cleanly, so it will need some work/thought
  * Document remaining patches, refresh them
  * debian/rules:
    - dh_install ... -XlibSDLmain.la: to avoid installing this new .la file

 -- Manuel A. Fernandez Montecelo <email address hidden> Thu, 26 Jan 2012 20:31:21 +0000

Related branches

Felix Geyer (debfx) wrote :

libsdl1.2 (1.2.15-5ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1030782), remaining changes:
    - Drop directfb support. This is the only package which still pulls the
      rather sizable directfb into a standard installation, and we never
      actually used/supported it anyway. Drop directfb build/binary dependencies
      and libsdl1.2debian-udeb package; don't build udeb flavour and drop
      --enable-video-directfb from confflags.
  * Drop tslib support which is in universe.

 -- Felix Geyer <email address hidden> Mon, 30 Jul 2012 11:06:37 +0200

Launchpad Janitor (janitor) wrote :
Download full text (4.6 KiB)

This bug was fixed in the package libsdl1.2 - 1.2.15-5ubuntu1

---------------
libsdl1.2 (1.2.15-5ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1030782), remaining changes:
    - Drop directfb support. This is the only package which still pulls the
      rather sizable directfb into a standard installation, and we never
      actually used/supported it anyway. Drop directfb build/binary dependencies
      and libsdl1.2debian-udeb package; don't build udeb flavour and drop
      --enable-video-directfb from confflags.
  * Drop tslib support which is in universe.

libsdl1.2 (1.2.15-5) unstable; urgency=low

  * Restrict libts (touch screen) input method to linux-any architectures, not
    available elsewhere

libsdl1.2 (1.2.15-4) unstable; urgency=low

  [ Manuel A. Fernandez Montecelo ]
  * debian/sdl-config1
    - Fix typo, progam->program
  * Enable support for touch screen library (Closes: #674799)

  [ Felix Geyer ]
  * Re-add dependencies to libsdl1.2-dev that are required for static linking.
    (Closes: #670122)
  * Bump Standards-Version to 3.9.3, no further changes necessary.

  [ Sam Hocevar ]
  * debian/patches/fix_joystick_misc_axes.diff: fix a joystick remapping
    bug causing some axes to malfunction (Closes: #673324).

libsdl1.2 (1.2.15-3) unstable; urgency=low

  [ Felix Geyer ]
  * Drop all -dev package dependencies of libsdl1.2-dev except libx11-dev and
    libglu1-mesa-dev.
  * Add libglu-dev as an alternative to libglu1-mesa-dev.

  [ Manuel A. Fernandez Montecelo ]
  * Fix for bug "Window corner re-size events ignored by SDL" (Closes: #665779),
    thanks Andrew Caudwell <email address hidden> for the report and the
    suggested fix.

libsdl1.2 (1.2.15-2) unstable; urgency=low

  * Add fix_build_joystick_freebsd.diff by Robert Millan to fix build
    on kfreebsd. (Closes: #659615)
  * Bump shlibs version to 1.2.11.
  * Bump debhelper build-dependency to >= 9.

libsdl1.2 (1.2.15-1) unstable; urgency=low

  * New upstream release
  * Seting DM-Upload-Allowed:yes and added myself to Uploaders
  * Removed patches:
    - sdlblit_memcpy_fix.diff: it was backported from upstream
    - joystick_crash.diff: it was backported from upstream (changeset 3590
      493f252a455c)
    - x11_add_support_NET_WM_PID.diff: applied upstream (changeset 6169
      6f3e5ccfd585)
    - disable_ipod.diff: it wasn't documented nor appeared anywhere in the
      changelog, and it only disabled its support in the configure script (and
      the option to add ipod support is off by default, at least in the current
      version)
    - disappearingcursor.diff: applied upstream (changeset 4557 4aa31b9207f2)
    - fixmouseclicks.diff: it was part of a fix applied upstream (same as for
      the patch disappearingcursor.diff)
    - no_yasm.diff: applied upstream, picked from Debian (changeset 4538
      74b5387da0c4)
    - nasm_include.diff: applied upstream, picked from Debian (changeset 4539
      d2517c0de52b)
    - kfreebsd_gnu.diff: applied upstream, picked from Debian (changeset 4537
      cd344ebc14e9)
    - relibtoolize.diff: substituted with dh_autoreconf
  * Disable patch check_SDL_NOKBD_environment_variable.diff at least
 ...

Read more...

Changed in libsdl1.2 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers